diff --git a/guava-tests/test/com/google/common/util/concurrent/FuturesTest.java b/guava-tests/test/com/google/common/util/concurrent/FuturesTest.java
index 0c3a9ae..5dd0eb6 100644
--- a/guava-tests/test/com/google/common/util/concurrent/FuturesTest.java
+++ b/guava-tests/test/com/google/common/util/concurrent/FuturesTest.java
@@ -55,21 +55,15 @@ import static java.util.concurrent.Executors.newSingleThreadScheduledExecutor;
 import static java.util.concurrent.TimeUnit.MILLISECONDS;
 import static java.util.concurrent.TimeUnit.SECONDS;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Joiner;
 import com.google.common.base.Predicate;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterables;
 import com.google.common.testing.ClassSanityTester;
 import com.google.common.testing.GcFinalization;
 import com.google.common.testing.TestLogHandler;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.FileNotFoundException;
 import java.io.IOException;
-import java.lang.ref.WeakReference;
 import java.util.List;
 import java.util.Set;
 import java.util.concurrent.Callable;
@@ -89,14 +83,12 @@ import java.util.logging.LogRecord;
 import java.util.logging.Logger;
 import junit.framework.AssertionFailedError;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Unit tests for {@link Futures}.
  *
  * @author Nishant Thakkar
  */
-@GwtCompatible(emulated = true)
 public class FuturesTest extends TestCase {
   private static final Logger aggregateFutureLogger =
       Logger.getLogger(AggregateFuture.class.getName());
@@ -193,7 +185,6 @@ public class FuturesTest extends TestCase {
     assertTrue(future.isCancelled());
   }
 
-  @GwtIncompatible
   public void testImmediateCancelledFutureStack() throws Exception {
     ListenableFuture<String> future = CallerClass1.makeImmediateCancelledFuture();
     assertTrue(future.isCancelled());
@@ -214,7 +205,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only in GwtIncompatible tests
+  // used only in GwtIncompatible tests
   private static Predicate<StackTraceElement> hasClassName(final Class<?> clazz) {
     return new Predicate<StackTraceElement>() {
       @Override
@@ -231,7 +222,6 @@ public class FuturesTest extends TestCase {
   }
 
   private static final class CallerClass2 {
-    @CanIgnoreReturnValue
     static <V> V get(ListenableFuture<V> future) throws ExecutionException, InterruptedException {
       return getDone(future);
     }
@@ -273,7 +263,7 @@ public class FuturesTest extends TestCase {
    * stack-overflow tests work. It must depend on the exact place the error occurs.
    */
   @AndroidIncompatible
-  @GwtIncompatible // StackOverflowError
+  // StackOverflowError
   public void testTransform_StackOverflow() throws Exception {
     {
       /*
@@ -409,7 +399,7 @@ public class FuturesTest extends TestCase {
     assertTrue(input.wasInterrupted());
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testTransformAsync_interruptPropagatesToTransformingThread() throws Exception {
     SettableFuture<String> input = SettableFuture.create();
@@ -504,7 +494,7 @@ public class FuturesTest extends TestCase {
    * stack-overflow tests work. It must depend on the exact place the error occurs.
    */
   @AndroidIncompatible
-  @GwtIncompatible // StackOverflowError
+  // StackOverflowError
   public void testTransformAsync_StackOverflow() throws Exception {
     {
       /*
@@ -695,7 +685,7 @@ public class FuturesTest extends TestCase {
    * Test that the function is invoked only once, even if it throws an exception. Also, test that
    * that function's result is wrapped in an ExecutionException.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public void testTransformExceptionRemainsMemoized() throws Throwable {
     // We need to test with two input futures since ExecutionList.execute
     // doesn't catch Errors and we cannot depend on the order that our
@@ -727,7 +717,7 @@ public class FuturesTest extends TestCase {
     runGetIdempotencyTest(errorComposedFuture, MyError.class);
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   private static void runGetIdempotencyTest(
       Future<Integer> transformedFuture, Class<? extends Throwable> expectedExceptionClass)
       throws Throwable {
@@ -743,7 +733,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only in GwtIncompatible tests
+  // used only in GwtIncompatible tests
   private static Function<Integer, Integer> newOneTimeExceptionThrower() {
     return new Function<Integer, Integer>() {
       int calls = 0;
@@ -758,7 +748,7 @@ public class FuturesTest extends TestCase {
     };
   }
 
-  @GwtIncompatible // used only in GwtIncompatible tests
+  // used only in GwtIncompatible tests
   private static Function<Integer, Integer> newOneTimeErrorThrower() {
     return new Function<Integer, Integer>() {
       int calls = 0;
@@ -802,7 +792,7 @@ public class FuturesTest extends TestCase {
     assertTrue(spy.wasExecuted);
   }
 
-  @GwtIncompatible // Threads
+  // Threads
 
   public void testTransformAsync_functionToString() throws Exception {
     final CountDownLatch functionCalled = new CountDownLatch(1);
@@ -831,7 +821,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // lazyTransform
+  // lazyTransform
   public void testLazyTransform() throws Exception {
     FunctionSpy<Object, String> spy = new FunctionSpy<>(constant("bar"));
     Future<String> input = immediateFuture("foo");
@@ -843,7 +833,7 @@ public class FuturesTest extends TestCase {
     spy.verifyCallCount(2);
   }
 
-  @GwtIncompatible // lazyTransform
+  // lazyTransform
   public void testLazyTransform_exception() throws Exception {
     final RuntimeException exception = new RuntimeException("deliberate");
     Function<Integer, String> function =
@@ -967,7 +957,7 @@ public class FuturesTest extends TestCase {
     fallback.verifyCallCount(1);
   }
 
-  @GwtIncompatible // non-Throwable exceptionType
+  // non-Throwable exceptionType
   public void testCatchingAsync_inputCancelledWithoutFallback() throws Exception {
     AsyncFunction<Throwable, Integer> fallback = unexpectedAsyncFunction();
     ListenableFuture<Integer> originalFuture = immediateCancelledFuture();
@@ -1078,7 +1068,7 @@ public class FuturesTest extends TestCase {
     assertFalse(primary.wasInterrupted());
   }
 
-  @GwtIncompatible // mocks
+  // mocks
   // TODO(cpovirk): eliminate use of mocks
   @SuppressWarnings("unchecked")
   public void testCatchingAsync_resultCancelledAfterFallback() throws Exception {
@@ -1131,7 +1121,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testCatchingAsync_interruptPropagatesToTransformingThread() throws Exception {
     SettableFuture<String> input = SettableFuture.create();
@@ -1171,7 +1161,7 @@ public class FuturesTest extends TestCase {
     // gotException.await();
   }
 
-  @GwtIncompatible // Threads
+  // Threads
 
   public void testCatchingAsync_functionToString() throws Exception {
     final CountDownLatch functionCalled = new CountDownLatch(1);
@@ -1250,7 +1240,7 @@ public class FuturesTest extends TestCase {
     fallback.verifyCallCount(1);
   }
 
-  @GwtIncompatible // non-Throwable exceptionType
+  // non-Throwable exceptionType
   public void testCatching_inputCancelledWithoutFallback() throws Exception {
     Function<IOException, Integer> fallback = unexpectedFunction();
     ListenableFuture<Integer> originalFuture = immediateCancelledFuture();
@@ -1352,7 +1342,7 @@ public class FuturesTest extends TestCase {
     assertEquals(1, (int) getDone(faultTolerantFuture));
   }
 
-  @GwtIncompatible // non-Throwable exceptionType
+  // non-Throwable exceptionType
   public void testCatching_customTypeMatch() throws Exception {
     Function<IOException, Integer> fallback = functionReturningOne();
     ListenableFuture<Integer> originalFuture = immediateFailedFuture(new FileNotFoundException());
@@ -1361,7 +1351,7 @@ public class FuturesTest extends TestCase {
     assertEquals(1, (int) getDone(faultTolerantFuture));
   }
 
-  @GwtIncompatible // non-Throwable exceptionType
+  // non-Throwable exceptionType
   public void testCatching_customTypeNoMatch() throws Exception {
     Function<IOException, Integer> fallback = functionReturningOne();
     ListenableFuture<Integer> originalFuture = immediateFailedFuture(new RuntimeException());
@@ -1375,7 +1365,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // StackOverflowError
+  // StackOverflowError
   public void testCatching_StackOverflow() throws Exception {
     {
       /*
@@ -1487,7 +1477,7 @@ public class FuturesTest extends TestCase {
     assertEquals(1, (int) getDone(faultTolerantFuture));
   }
 
-  @GwtIncompatible // non-Throwable exceptionType
+  // non-Throwable exceptionType
   public void testCatchingAsync_customTypeMatch() throws Exception {
     AsyncFunction<IOException, Integer> fallback = asyncFunctionReturningOne();
     ListenableFuture<Integer> originalFuture = immediateFailedFuture(new FileNotFoundException());
@@ -1496,7 +1486,7 @@ public class FuturesTest extends TestCase {
     assertEquals(1, (int) getDone(faultTolerantFuture));
   }
 
-  @GwtIncompatible // non-Throwable exceptionType
+  // non-Throwable exceptionType
   public void testCatchingAsync_customTypeNoMatch() throws Exception {
     AsyncFunction<IOException, Integer> fallback = asyncFunctionReturningOne();
     ListenableFuture<Integer> originalFuture = immediateFailedFuture(new RuntimeException());
@@ -1510,7 +1500,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // StackOverflowError
+  // StackOverflowError
   public void testCatchingAsync_StackOverflow() throws Exception {
     {
       /*
@@ -1697,7 +1687,7 @@ public class FuturesTest extends TestCase {
     assertSame(barChild, bar);
   }
 
-  @GwtIncompatible // get() timeout
+  // get() timeout
   public void testTransformAsync_asyncFunction_timeout()
       throws InterruptedException, ExecutionException {
     AsyncFunction<String, Integer> function = constantAsyncFunction(immediateFuture(1));
@@ -1748,7 +1738,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testTransformAsync_asyncFunction_cancelledWhileApplyingFunction()
       throws InterruptedException, ExecutionException {
@@ -1783,7 +1773,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testTransformAsync_asyncFunction_cancelledBeforeApplyingFunction()
       throws InterruptedException {
@@ -1857,7 +1847,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testSubmitAsync_asyncCallable_cancelledWhileApplyingFunction()
       throws InterruptedException, ExecutionException {
@@ -1891,7 +1881,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testSubmitAsync_asyncCallable_cancelledBeforeApplyingFunction()
       throws InterruptedException {
@@ -1925,7 +1915,7 @@ public class FuturesTest extends TestCase {
     assertFalse(callableCalled.get());
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testSubmitAsync_asyncCallable_returnsInterruptedFuture() throws InterruptedException {
     assertThat(Thread.interrupted()).isFalse();
@@ -2014,7 +2004,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testScheduleAsync_asyncCallable_error() throws InterruptedException {
     final Error error = new Error("deliberate");
@@ -2036,7 +2026,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testScheduleAsync_asyncCallable_nullInsteadOfFuture() throws Exception {
     ListenableFuture<?> chainedFuture =
@@ -2058,7 +2048,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testScheduleAsync_asyncCallable_cancelledWhileApplyingFunction()
       throws InterruptedException, ExecutionException {
@@ -2091,7 +2081,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testScheduleAsync_asyncCallable_cancelledBeforeCallingFunction()
       throws InterruptedException {
@@ -2546,7 +2536,7 @@ public class FuturesTest extends TestCase {
     return "-" + i + "-" + b;
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testWhenAllComplete_noLeakInterruption() throws Exception {
     final SettableFuture<String> stringFuture = SettableFuture.create();
@@ -2590,7 +2580,7 @@ public class FuturesTest extends TestCase {
     unused = whenAllComplete(asList(futures)).call(combiner, directExecutor());
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testWhenAllComplete_asyncResult() throws Exception {
     SettableFuture<Integer> futureInteger = SettableFuture.create();
@@ -2682,7 +2672,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testWhenAllComplete_cancelledNotInterrupted() throws Exception {
     SettableFuture<String> stringFuture = SettableFuture.create();
@@ -2721,7 +2711,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testWhenAllComplete_interrupted() throws Exception {
     SettableFuture<String> stringFuture = SettableFuture.create();
@@ -2814,7 +2804,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testWhenAllCompleteRunnable_resultCanceledWithoutInterrupt_doesNotInterruptRunnable()
       throws Exception {
@@ -2855,7 +2845,7 @@ public class FuturesTest extends TestCase {
     combinerCompletedWithoutInterrupt.await();
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testWhenAllCompleteRunnable_resultCanceledWithInterrupt_InterruptsRunnable()
       throws Exception {
@@ -2921,7 +2911,6 @@ public class FuturesTest extends TestCase {
   }
 
   @AndroidIncompatible
-  @GwtIncompatible
   public void testWhenAllSucceed_releasesInputFuturesUponSubmission() throws Exception {
     SettableFuture<Long> future1 = SettableFuture.create();
     SettableFuture<Long> future2 = SettableFuture.create();
@@ -2956,7 +2945,6 @@ public class FuturesTest extends TestCase {
   }
 
   @AndroidIncompatible
-  @GwtIncompatible
   public void testWhenAllComplete_releasesInputFuturesUponCancellation() throws Exception {
     SettableFuture<Long> future = SettableFuture.create();
     WeakReference<SettableFuture<Long>> futureRef = new WeakReference<>(future);
@@ -2979,7 +2967,6 @@ public class FuturesTest extends TestCase {
   }
 
   @AndroidIncompatible
-  @GwtIncompatible
   public void testWhenAllSucceed_releasesCallable() throws Exception {
     AsyncCallable<Long> combiner =
         new AsyncCallable<Long>() {
@@ -3008,7 +2995,7 @@ public class FuturesTest extends TestCase {
    * finisher}, a task that will complete the future in some fashion when it is called, allowing for
    * testing both before and after the completion of the future.
    */
-  @GwtIncompatible // used only in GwtIncompatible tests
+  // used only in GwtIncompatible tests
   private static final class TestFuture {
 
     final ListenableFuture<String> future;
@@ -3030,7 +3017,7 @@ public class FuturesTest extends TestCase {
    * <p>Each test requires a new {@link TestFutureBatch} because we need new delayed futures each
    * time, as the old delayed futures were completed as part of the old test.
    */
-  @GwtIncompatible // used only in GwtIncompatible tests
+  // used only in GwtIncompatible tests
   private static final class TestFutureBatch {
 
     final ListenableFuture<String> doneSuccess = immediateFuture("a");
@@ -3215,7 +3202,7 @@ public class FuturesTest extends TestCase {
    * {@link Futures#allAsList(Iterable)} or {@link Futures#successfulAsList(Iterable)}, hidden
    * behind a common interface for testing.
    */
-  @GwtIncompatible // used only in GwtIncompatible tests
+  // used only in GwtIncompatible tests
   private interface Merger {
 
     ListenableFuture<List<String>> merged(ListenableFuture<String> a, ListenableFuture<String> b);
@@ -3245,8 +3232,7 @@ public class FuturesTest extends TestCase {
    * <p>We need this to test the behavior of no-arg get methods without hanging the main test thread
    * forever in the case of failure.
    */
-  @CanIgnoreReturnValue
-  @GwtIncompatible // threads
+  // threads
   static <V> V pseudoTimedGetUninterruptibly(final Future<V> input, long timeout, TimeUnit unit)
       throws ExecutionException, TimeoutException {
     ExecutorService executor = newSingleThreadExecutor();
@@ -3277,7 +3263,7 @@ public class FuturesTest extends TestCase {
    * before future completion, and untimed after future completion) return or throw the proper
    * values.
    */
-  @GwtIncompatible // used only in GwtIncompatible tests
+  // used only in GwtIncompatible tests
   private static void runExtensiveMergerTest(Merger merger) throws InterruptedException {
     int inputCount = new TestFutureBatch().allFutures.size();
 
@@ -3356,7 +3342,7 @@ public class FuturesTest extends TestCase {
    * that is expected to succeed; the fact that the numbers match is only a coincidence.) See the
    * comment below for how to restore the fast but hang-y version.
    */
-  @GwtIncompatible // used only in GwtIncompatible tests
+  // used only in GwtIncompatible tests
   private static List<String> conditionalPseudoTimedGetUninterruptibly(
       TestFutureBatch inputs,
       ListenableFuture<String> iFuture,
@@ -3376,13 +3362,13 @@ public class FuturesTest extends TestCase {
   }
 
 
-  @GwtIncompatible // threads
+  // threads
   public void testAllAsList_extensive() throws InterruptedException {
     runExtensiveMergerTest(Merger.allMerger);
   }
 
 
-  @GwtIncompatible // threads
+  // threads
   public void testSuccessfulAsList_extensive() throws InterruptedException {
     runExtensiveMergerTest(Merger.successMerger);
   }
@@ -3697,7 +3683,7 @@ public class FuturesTest extends TestCase {
     assertFalse(input.isDone());
   }
 
-  @GwtIncompatible // used only in GwtIncompatible tests
+  // used only in GwtIncompatible tests
   private static class TestException extends Exception {
 
     TestException(@Nullable Throwable cause) {
@@ -3705,7 +3691,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // used only in GwtIncompatible tests
+  // used only in GwtIncompatible tests
   private interface MapperFunction extends Function<Throwable, Exception> {}
 
   public void testCompletionOrder() throws Exception {
@@ -3854,7 +3840,6 @@ public class FuturesTest extends TestCase {
   }
 
   @AndroidIncompatible // reference is never cleared under some versions of the emulator
-  @GwtIncompatible
   public void testInputGCedIfUnreferenced() throws Exception {
     SettableFuture<Long> future1 = SettableFuture.create();
     SettableFuture<Long> future2 = SettableFuture.create();
@@ -3896,7 +3881,7 @@ public class FuturesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // ClassSanityTester
+  // ClassSanityTester
   public void testFutures_nullChecks() throws Exception {
     new ClassSanityTester()
         .forAllPublicStaticMethods(Futures.class)
diff --git a/guava-tests/test/com/google/common/util/concurrent/GeneratedMonitorTest.java b/guava-tests/test/com/google/common/util/concurrent/GeneratedMonitorTest.java
index 4e2c85e..b054b6f 100644
--- a/guava-tests/test/com/google/common/util/concurrent/GeneratedMonitorTest.java
+++ b/guava-tests/test/com/google/common/util/concurrent/GeneratedMonitorTest.java
@@ -19,9 +19,7 @@ package com.google.common.util.concurrent;
 import static com.google.common.util.concurrent.Uninterruptibles.awaitUninterruptibly;
 
 import com.google.common.base.CaseFormat;
-import com.google.common.collect.ImmutableList;
 import com.google.common.primitives.Ints;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.lang.reflect.InvocationTargetException;
 import java.lang.reflect.Method;
 import java.time.Duration;
@@ -723,7 +721,6 @@ public class GeneratedMonitorTest extends TestCase {
     awaitUninterruptibly(enteredLatch);
   }
 
-  @CanIgnoreReturnValue
   static Thread startThread(Runnable runnable) {
     Thread thread = new Thread(runnable);
     thread.setDaemon(true);
diff --git a/guava-tests/test/com/google/common/util/concurrent/ListenableFutureTester.java b/guava-tests/test/com/google/common/util/concurrent/ListenableFutureTester.java
index 5c99bc8..e58d040 100644
--- a/guava-tests/test/com/google/common/util/concurrent/ListenableFutureTester.java
+++ b/guava-tests/test/com/google/common/util/concurrent/ListenableFutureTester.java
@@ -29,7 +29,6 @@ import java.util.concurrent.ExecutionException;
 import java.util.concurrent.ExecutorService;
 import java.util.concurrent.Executors;
 import java.util.concurrent.TimeUnit;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Used to test listenable future implementations.
diff --git a/guava-tests/test/com/google/common/util/concurrent/ListenerCallQueueTest.java b/guava-tests/test/com/google/common/util/concurrent/ListenerCallQueueTest.java
index 5fd9b95..0f437c0 100644
--- a/guava-tests/test/com/google/common/util/concurrent/ListenerCallQueueTest.java
+++ b/guava-tests/test/com/google/common/util/concurrent/ListenerCallQueueTest.java
@@ -19,8 +19,6 @@ package com.google.common.util.concurrent;
 import static com.google.common.util.concurrent.MoreExecutors.directExecutor;
 
 import com.google.common.collect.ConcurrentHashMultiset;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableMultiset;
 import com.google.common.collect.Multiset;
 import com.google.common.testing.TestLogHandler;
 import java.util.Map;
diff --git a/guava-tests/test/com/google/common/util/concurrent/MoreExecutorsTest.java b/guava-tests/test/com/google/common/util/concurrent/MoreExecutorsTest.java
index fe4e7f5..7db2a17 100644
--- a/guava-tests/test/com/google/common/util/concurrent/MoreExecutorsTest.java
+++ b/guava-tests/test/com/google/common/util/concurrent/MoreExecutorsTest.java
@@ -45,7 +45,6 @@ import static org.mockito.Mockito.when;
 
 import com.google.common.base.Suppliers;
 import com.google.common.base.Throwables;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Lists;
 import com.google.common.testing.ClassSanityTester;
 import com.google.common.util.concurrent.MoreExecutors.Application;
diff --git a/guava-tests/test/com/google/common/util/concurrent/RateLimiterTest.java b/guava-tests/test/com/google/common/util/concurrent/RateLimiterTest.java
index a6c0899..c347406 100644
--- a/guava-tests/test/com/google/common/util/concurrent/RateLimiterTest.java
+++ b/guava-tests/test/com/google/common/util/concurrent/RateLimiterTest.java
@@ -22,8 +22,6 @@ import static java.util.concurrent.TimeUnit.MILLISECONDS;
 import static java.util.concurrent.TimeUnit.NANOSECONDS;
 import static java.util.concurrent.TimeUnit.SECONDS;
 
-import com.google.common.collect.ImmutableClassToInstanceMap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Lists;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.NullPointerTester.Visibility;
diff --git a/guava-tests/test/com/google/common/util/concurrent/RunnablesTest.java b/guava-tests/test/com/google/common/util/concurrent/RunnablesTest.java
index c4bd1c7..6b07a64 100644
--- a/guava-tests/test/com/google/common/util/concurrent/RunnablesTest.java
+++ b/guava-tests/test/com/google/common/util/concurrent/RunnablesTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtCompatible;
 import junit.framework.TestCase;
 
 /**
@@ -24,7 +23,6 @@ import junit.framework.TestCase;
  *
  * @author Olivier Pernet
  */
-@GwtCompatible
 public class RunnablesTest extends TestCase {
   public void testDoNothingRunnableIsSingleton() {
     assertSame(Runnables.doNothing(), Runnables.doNothing());
diff --git a/guava-tests/test/com/google/common/util/concurrent/SequentialExecutorTest.java b/guava-tests/test/com/google/common/util/concurrent/SequentialExecutorTest.java
index 20209e8..a675197 100644
--- a/guava-tests/test/com/google/common/util/concurrent/SequentialExecutorTest.java
+++ b/guava-tests/test/com/google/common/util/concurrent/SequentialExecutorTest.java
@@ -20,7 +20,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static com.google.common.util.concurrent.MoreExecutors.newSequentialExecutor;
 import static com.google.common.util.concurrent.Uninterruptibles.awaitUninterruptibly;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Queues;
 import java.util.List;
diff --git a/guava-tests/test/com/google/common/util/concurrent/ServiceManagerTest.java b/guava-tests/test/com/google/common/util/concurrent/ServiceManagerTest.java
index e8552ed..81384b2 100644
--- a/guava-tests/test/com/google/common/util/concurrent/ServiceManagerTest.java
+++ b/guava-tests/test/com/google/common/util/concurrent/ServiceManagerTest.java
@@ -21,8 +21,6 @@ import static com.google.common.util.concurrent.MoreExecutors.directExecutor;
 import static java.util.Arrays.asList;
 import static java.util.concurrent.TimeUnit.SECONDS;
 
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Sets;
 import com.google.common.testing.NullPointerTester;
diff --git a/guava-tests/test/com/google/common/util/concurrent/StripedTest.java b/guava-tests/test/com/google/common/util/concurrent/StripedTest.java
index fa9d87f..5295a1e 100644
--- a/guava-tests/test/com/google/common/util/concurrent/StripedTest.java
+++ b/guava-tests/test/com/google/common/util/concurrent/StripedTest.java
@@ -20,14 +20,12 @@ import static com.google.common.collect.Iterables.concat;
 
 import com.google.common.base.Functions;
 import com.google.common.base.Supplier;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Maps;
 import com.google.common.collect.Ordering;
 import com.google.common.collect.Sets;
 import com.google.common.testing.GcFinalization;
 import com.google.common.testing.NullPointerTester;
-import java.lang.ref.WeakReference;
 import java.util.List;
 import java.util.Map;
 import java.util.Set;
diff --git a/guava-tests/test/com/google/common/util/concurrent/TestPlatform.java b/guava-tests/test/com/google/common/util/concurrent/TestPlatform.java
index 5c87fe5..fd22af5 100644
--- a/guava-tests/test/com/google/common/util/concurrent/TestPlatform.java
+++ b/guava-tests/test/com/google/common/util/concurrent/TestPlatform.java
@@ -26,14 +26,12 @@ import static java.util.concurrent.TimeUnit.SECONDS;
 import static junit.framework.Assert.assertFalse;
 import static junit.framework.Assert.fail;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.concurrent.ExecutionException;
 import java.util.concurrent.Future;
 import java.util.concurrent.TimeoutException;
 import junit.framework.AssertionFailedError;
 
 /** Methods factored out so that they can be emulated differently in GWT. */
-@GwtCompatible(emulated = true)
 final class TestPlatform {
   static void verifyGetOnPendingFuture(Future<?> future) {
     checkNotNull(future);
diff --git a/guava-tests/test/com/google/common/util/concurrent/TestThread.java b/guava-tests/test/com/google/common/util/concurrent/TestThread.java
index 6d56093..f187b18 100644
--- a/guava-tests/test/com/google/common/util/concurrent/TestThread.java
+++ b/guava-tests/test/com/google/common/util/concurrent/TestThread.java
@@ -29,7 +29,6 @@ import java.util.concurrent.SynchronousQueue;
 import java.util.concurrent.TimeUnit;
 import java.util.concurrent.TimeoutException;
 import junit.framework.AssertionFailedError;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A helper for concurrency testing. One or more {@code TestThread} instances are instantiated in a
diff --git a/guava-tests/test/com/google/common/util/concurrent/TrustedInputFutureTest.java b/guava-tests/test/com/google/common/util/concurrent/TrustedInputFutureTest.java
index 1f2ecca..263208e 100644
--- a/guava-tests/test/com/google/common/util/concurrent/TrustedInputFutureTest.java
+++ b/guava-tests/test/com/google/common/util/concurrent/TrustedInputFutureTest.java
@@ -17,14 +17,12 @@
 package com.google.common.util.concurrent;
 
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.util.concurrent.AbstractFuture.TrustedFuture;
 
 /**
  * Tests for {@link AbstractFuture} that use a {@link TrustedFuture} for {@link
  * AbstractFuture#setFuture} calls.
  */
-@GwtCompatible
 public class TrustedInputFutureTest extends AbstractAbstractFutureTest {
   @Override
   AbstractFuture<Integer> newDelegate() {
